vennaVenna

Batches

Async batch execution.

Not yet implemented
GET
/v1/batches
AuthorizationBearer <token>

Workspace API key — Authorization: Bearer vk_.... Billing targets the key workspace.

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/batches"
{  "data": [    {      "completion_window": "string",      "created_at": 0,      "endpoint": "string",      "id": "string",      "input_file_id": "string",      "object": "batch",      "status": "validating"    }  ],  "has_more": true,  "object": "list"}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
POST
/v1/batches
AuthorizationBearer <token>

Workspace API key — Authorization: Bearer vk_.... Billing targets the key workspace.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/batches" \  -H "Content-Type: application/json" \  -d '{    "completion_window": "24h",    "endpoint": "/v1/chat/completions",    "input_file_id": "string"  }'
{  "completion_window": "string",  "created_at": 0,  "endpoint": "string",  "id": "string",  "input_file_id": "string",  "object": "batch",  "status": "validating"}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
GET
/v1/batches/{id}
AuthorizationBearer <token>

Workspace API key — Authorization: Bearer vk_.... Billing targets the key workspace.

In: header

Path Parameters

id*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/batches/abc"
{  "completion_window": "string",  "created_at": 0,  "endpoint": "string",  "id": "string",  "input_file_id": "string",  "object": "batch",  "status": "validating"}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}
POST
/v1/batches/{id}/cancel
AuthorizationBearer <token>

Workspace API key — Authorization: Bearer vk_.... Billing targets the key workspace.

In: header

Path Parameters

id*string

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/batches/abc/cancel"
{  "completion_window": "string",  "created_at": 0,  "endpoint": "string",  "id": "string",  "input_file_id": "string",  "object": "batch",  "status": "validating"}
{  "error": {    "code": "not_implemented",    "message": "Endpoint 'POST /v1/chat/completions' is not implemented yet on Venna gateway",    "param": null,    "type": "not_implemented"  }}